package dfatool.strategy.graph;

import java.util.HashSet;
import java.util.Set;

public class Testing {
	
	public static void main(String[] args) {
		Set<String> s1 =  new HashSet<String>();
		Set<String> s2 = new HashSet<String>();
		
		String S1 = "S1";
		String S2 = "S2";
		String S3 = "S3";
		
		s1.add(S1);
		s1.add(S2);
		s1.add(S3);
		
		s2 = new HashSet<String>(s1);
		s1.retainAll(s2);
		System.out.println(s1);
	}
	
	
	public static boolean findCycle(){
		HashSet<String> hs = new HashSet<String>();
		return false;
	}
	
	public static boolean hasCycle(INode node){
		return false;
	}

}
